<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
//+----------------------------------------------------------------------+
//| WAMP (XP-SP1/1.3.24/4.0.12/4.3.0)                                    |
//+----------------------------------------------------------------------+
//| Copyright (c) 1992-2003 Michael Wimmer                               |
//+----------------------------------------------------------------------+
//| I don't have the time to read through all the licences to find out   |
//| what the exactly say. But it's simple. It's free for non commercial  |
//| projects, but as soon as you make money with it, i want my share :-) |
//+----------------------------------------------------------------------+
//| Authors: Michael Wimmer <flaimo@gmx.net>                             |
//+----------------------------------------------------------------------+
//
// $Id$

/**
* @package RSSBuilder
* @category FLP
* @filesource
*/
error_reporting(E_ALL & ~E_NOTICE);
ob_start();
session_start();
include_once 'class.RSSBuilder.inc.php';

/* create the object - remember, not all attibutes are supported by every rss version. just hand over an empty string if you don't need a specific attribute */
$encoding =(string) 'ISO-8859-1';
$about = (string) 'http://www.monsite.com/'; // nom du site 
$title = (string) 'RSS news'; // titre du rss
$description = (string) 'Les news de mon site'; // description du rss
$image_link = (string) 'http://www.monsite.com/small_logo.png'; // adresse logo
$category = (string) 'PHP Development'; // (only rss 2.0)
$cache = (string) 60; // in minutes (only rss 2.0)
$rssfile = new RSSBuilder($encoding, $about, $title, $description, $image_link, $category, $cache);

/* if you want you can add additional Dublic Core data to the basic rss file (if rss version supports it) */
$publisher = (string) 'nom editeur'; // l'editeur du fil rss
$creator = (string) 'nom socit'; // auteur ou socit
$date = (string) date('Y-m-d'); 
$language = (string) 'fr';
$rights = (string) 'Copyright  '; // copyright
$coverage = (string) ''; // spatial location , temporal period or jurisdiction
$contributor = (string) 'nom'; // person, an organization, or a service
$rssfile->addDCdata($publisher,	$creator, $date, $language,	$rights, $coverage, $contributor);

/* if you want you can add additional Syndication data to the basic rss file (if rss version supports it) */
$period = (string) 'daily'; // hourly / daily / weekly / ...
$frequency = (int) 1; // every X hours/days/...
$base = (string) date('Y-m-d');
$rssfile->addSYdata($period, $frequency, $base);


// ci-dessous votre article placer dans les ''
// si vous souhaitez creer plusieurs articles, il vous faut faire une boucle 	
// en prenant par exemple dans votre base de donne 
// une requete puis while ..... {	

		/* data for a single RSS item */
$about = $link = ''; // liens de l'article
$title = (string) ''; // titre des articles
$description = (string) ''; // news
$subject = (string) ''; // Thme optional DC value
$date = (string) ''; // DAte optional DC value date('Y-m-d')	
$author = (string) ''; // author of item
$comments = (string) ''; // url to comment page rss 2.0 value
//$image = (string) 'http://real-rv9.com/small_logo2.png'; // optional mod_im value for dispaying a different pic for every item
$rssfile->addItem($about, $title, $link, $description, $subject, $date,	$author, $comments, $image);
		
//...}		


$version = '1.0'; // 0.91 / 1.0 / 2.0
$rssfile->outputRSS($version);
// if you don't want to directly output the content, but instead work with the string (for example write it to a cache file) use
// $rssfile->getRSSOutput($version);
ob_end_flush();
?>